<!DOCTYPE html>
<html>
	<head>
		<title>Simple AngularJS App</title>
		<script src="angular.js"></script>
	</head>
	<body>
		<div ng-app="myApp" ng-controller="myCtrl" ng-init="encoded=''">
				<h1>Username: {{user}}</h1>
  		<p>Username: <input type="text"  ng-model="user"></p>
 			<p>Password: <input type="password" ng-model="pass"></p>
				<p><button ng-click="encode()">Encode</button></p>
  		<p>Encoded: {{encoded}}</p>
  		<p><button ng-click="decode()">Decode</button></p>
  		<p>Decoded: {{decoded}}</p>
		</div>
	</body>
	<script>
		var app = angular.module('myApp', [])
			app.controller('myCtrl', function($scope) {
			$scope.encode = function() {
				var username = $scope.user
    		var password = $scope.pass
				/* create a base64 encoded string */
				var encoded = btoa(username+':'+password)
				console.log(encoded)
				$scope.encoded = encoded
			}
			$scope.decode = function() {
			  var decoded = atob($scope.encoded)
			  $scope.decoded = decoded
			}
		})
</script>
</html>
